Core - Bug # 53614

Status: Resolved Priority: Must have
Author: Frans Saris Category: File Abstraction Layer (FAL)
Created: 2013-11-13 Assigned To:

Updated: 2013-11-16 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Renaming/moving files results in new sys_file records

Description

When you rename a file the indentifier in the current sys_file records is updated but the indentifier_hash and folder_hash are not. This
results in a new sys_file record when accessing the renamed/moved file.

Associated revisions

Revision f2c9e414 - 2013-11-16 02:28 - Frans Saris

[BUGFIX] Renaming file does not update hash values

When you rename a file the indentifier in the sys_file record
is updated but the indentifier_hash and folder_hash are not.
This results in a new sys_file record when accessing the

renamed/moved file.

Now when the identifier is changed the identifier and folder hash

are updated.

Releases: 6.2

Resolves: #53614

Change-Id: 1ad7559d15705ab836e88860b1b198783f0420386
Reviewed-on: https://review.typo3.org/25451

Reviewed-by: Ernesto Baschny

Tested-by: Ernesto Baschny

History

#1 - 2013-11-15 20:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25451

#2 - 2013-11-15 20:39 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25451
#3 - 2013-11-16 02:23 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25451

#4 - 2013-11-16 02:30 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f2c9e414a7333bdc952564765d7550aa3e576a71.
